<h1 align="center">
  <img src="https://cdn.rawgit.com/klauscfhq/ao/99ec7f1f/media/logo.png" width="21%"><br/>Ao
</h1>

<h4 align="center">
  ✔️ Elegant Microsoft To-Do desktop app
</h4>

<div align="center">
  <a href="https://github.com/klauscfhq/ao">
    <img src="https://cdn.rawgit.com/klauscfhq/ao/e64a6aae/media/list-navigation.gif" alt="Ao" width="100%">
  </a>
</div>

<p align="center">
  <a href="https://travis-ci.org/klauscfhq/ao">
    <img alt="Build Status" src="https://travis-ci.org/klauscfhq/ao.svg?branch=master">
  </a>
  <a href="https://ci.appveyor.com/project/klauscfhq/ao">
    <img alt="Build Status" src="https://ci.appveyor.com/api/projects/status/aau9e9amxaqrc6pw?svg=true">
  </a>
</p>

## Description

Ao is an unofficial, featureful, open source, community-driven, free Microsoft To-Do app, used by people in more than [120 countries](https://snapcraft.io/ao).

Come over to [Gitter](https://gitter.im/klauscfhq/ao) or [Twitter](https://twitter.com/klauscfhq) to share your thoughts on the project.

You can find more desktop apps [here](#related-apps).

## Highlights

- [Black](#black-theme), [Dark](#dark-theme), [Sepia](#sepia-theme) & [Vibrant](#vibrant-themes) Themes
- [Compact](#compact-mode) & [Auto-Night](#auto-night-mode) Modes
- [Local](#local-shortcut-keys) & [Global](#global-shortcut-keys) Keyboard Shortcuts
- [Customizable Keyboard Shortcuts](#custom-shortcut-keys)
- [List Navigation](#list-navigation)
- [Scalable Interface](#scalable-interface)
- Automatic Updates ✔️
- Cross Platform
- Deep OS Integration

<sup>✔️ Windows & Linux only atm</sup>

## Contents

- [Description](#description)
- [Highlights](#highlights)
- [Install](#install)
- [Features](#features)
- [Keyboard Shortcuts](#keyboard-shortcuts)
- [Development](#development)
- [Related Apps](#related-apps)
- [Team](#team)
- [Disclaimer](#disclaimer)
- [License](#license)

## Install

#### Github Releases

Head to the [releases](https://github.com/klauscfhq/ao/releases/latest) page and download the appropriate installer for your system.

#### Homebrew

Macos users can directly install through [`Homebrew Cask`](https://caskroom.github.io/) `brew cask install ao`

#### Snap

Ubuntu Linux users can directly install through [`Snap`](https://snapcraft.io/ao) `snap install ao`

#### AUR

Arch Linux users can directly install through [`AUR`](https://aur.archlinux.org/packages/ao/) `yaourt ao`

#### Note

The version available on `AUR` may not be the latest. If that is the case, please consider downloading directly from the [Github releases](https://github.com/klauscfhq/ao/releases/latest) page.

## Features

### Vibrant Themes

Press <kbd>Cmd</kbd> <kbd>Alt</kbd> <kbd>U</kbd> / <kbd>Cmd</kbd> <kbd>Alt</kbd> <kbd>J</kbd> to activate the [dark](https://cdn.rawgit.com/klauscfhq/ao/55af062e/media/vibrant-dark-theme.png) or [light](https://cdn.rawgit.com/klauscfhq/ao/55af062e/media/vibrant-theme.png) vibrant theme respectively.

Please note that the feature is available **only on Macos**.

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/7dfcf6cd/media/ao-vibrant.png" alt="Ao Vibrant Theme" width="100%">
      </a>
</div>

### Sepia Theme

Perfect for glossy screens. Activate it by pressing <kbd>Cmd/Ctrl</kbd> <kbd>G</kbd>

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/3ff54861/media/sepia-theme.png" alt="Ao Sepia Theme" width="100%">
      </a>
</div>

### Black Theme

Deep focus materialized. Boost your productivity by pressing <kbd>Cmd/Ctrl</kbd> <kbd>W</kbd>

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/1e56aee0/media/black-theme.png" alt="Ao Black Theme" width="100%">
      </a>
</div>

### Dark Theme

Silky & relaxing. Make it yours by pressing <kbd>Cmd/Ctrl</kbd> <kbd>H</kbd>

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/125924ed/media/dark-theme.png" alt="Ao Dark Theme" width="100%">
      </a>
</div>

### Compact Mode

Get more for less. Simply downsize the window to enter the mode.

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/68a0d849/media/compact-mode.png" alt="Ao Compact Mode" width="70%">
      </a>
</div>

### List Navigation

Navigate seamlessly between your lists by pressing <kbd>Cmd/Ctrl</kbd> <kbd>Tab</kbd> / <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>Tab</kbd> or jump directly to a specific list by using <kbd>Cmd/Ctrl</kbd> <kbd>1</kbd> - <kbd>9</kbd>

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/e64a6aae/media/list-navigation.gif" alt="List Navigation" width="100%">
      </a>
</div>

### Custom Shortcut Keys

Adjust Ao to your workflow. Navigate to `~/.ao.json` or press <kbd>Cmd/Ctrl</kbd> <kbd>.</kbd> and modify any shortcut key to your own preference. To reset simply delete the ao config file from your home directory.

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/ec52d820/media/custom-shortcut-keys.gif" alt="Custom Shortcut Keys" width="100%">
      </a>
</div>

### Scalable Interface

Adjust the zooming factor to your own preference by pressing <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>=</kbd> or <kbd>Cmd/Ctrl</kbd> <kbd>-</kbd>

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/51d7d3d2/media/scalable-interface.gif" alt="Scalable Interface" width="100%">
      </a>
</div>

### Auto Night Mode

Press <kbd>Cmd/Ctrl</kbd> <kbd>Alt</kbd> <kbd>N</kbd> and allow Ao to intelligently adjust to your environment.

## Keyboard Shortcuts

### Local Shortcut Keys

40+ local keyboard shortcuts. Toggle anything in a flash.

<details>
<summary>View all the available local keyboard shortcuts.</summary>

<br/>

Description                | Keys
-------------------------- | --------------------------
Toggle Window Menu         | <kbd>Alt</kbd>
Toggle Full Screen         | <kbd>F11</kbd>
Return to Todos            | <kbd>Esc</kbd>
New Todo                   | <kbd>Cmd/Ctrl</kbd> <kbd>N</kbd>
Delete Todo                | <kbd>Cmd/Ctrl</kbd> <kbd>D</kbd>
Rename Todo                | <kbd>Cmd/Ctrl</kbd> <kbd>T</kbd>
Search Todos               | <kbd>Cmd/Ctrl</kbd> <kbd>F</kbd>
Add Todo to My Day         | <kbd>Cmd/Ctrl</kbd> <kbd>K</kbd>
New List                   | <kbd>Cmd/Ctrl</kbd> <kbd>L</kbd>
Rename List                | <kbd>Cmd/Ctrl</kbd> <kbd>Y</kbd>
Toggle Sidebar             | <kbd>Cmd/Ctrl</kbd> <kbd>O</kbd>
Toggle My Day              | <kbd>Cmd/Ctrl</kbd> <kbd>M</kbd>
Toggle Cortana             | <kbd>Cmd/Ctrl</kbd> <kbd>E</kbd>
Toggle Dark Theme          | <kbd>Cmd/Ctrl</kbd> <kbd>H</kbd>
Toggle Sepia Theme         | <kbd>Cmd/Ctrl</kbd> <kbd>G</kbd>
Toggle Black Theme         | <kbd>Cmd/Ctrl</kbd> <kbd>B</kbd>
Toggle Settings            | <kbd>Cmd/Ctrl</kbd> <kbd>,</kbd>
Make Text Smaller          | <kbd>Cmd/Ctrl</kbd> <kbd>-</kbd>
Edit Shortcut Keys         | <kbd>Cmd/Ctrl</kbd> <kbd>.</kbd>
Reset Zoom Level           | <kbd>Cmd/Ctrl</kbd> <kbd>0</kbd>
Navigate to Next List      | <kbd>Cmd/Ctrl</kbd> <kbd>Tab</kbd>
Jump to List               | <kbd>Cmd/Ctrl</kbd> <kbd>1</kbd> - <kbd>9</kbd>
Sign out                   | <kbd>Cmd/Ctrl</kbd> <kbd>Alt</kbd> <kbd>Q</kbd>
Toggle Vibrant Light Theme | <kbd>Cmd/Ctrl</kbd> <kbd>Alt</kbd> <kbd>U</kbd>
Toggle Vibrant Dark Theme  | <kbd>Cmd/Ctrl</kbd> <kbd>Alt</kbd> <kbd>J</kbd>
Activate Auto Night Mode   | <kbd>Cmd/Ctrl</kbd> <kbd>Alt</kbd> <kbd>N</kbd>
Delete List                | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>D</kbd>
Add Due Date               | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>T</kbd>
Reload Ao                  | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>R</kbd>
Set Reminder               | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>E</kbd>
Complete Todo              | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>N</kbd>
Hide Completed Todos       | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>H</kbd>
Toggle Dev Tools           | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>I</kbd>
Set Always on Top          | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>P</kbd>
Make Text Larger           | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>=</kbd>

<br/>

</details>

### Global Shortcut Keys

Access Ao at any moment from anywhere within your operating system. All global shortcuts can be customized to match your own preference through the configuration file `~/.ao.json`.

<details>
<summary>View all the available global keyboard shortcuts.</summary>

<br>

Description                | Global Shortcut
-------------------------- | --------------------------
Toggle Ao Window           | <kbd>Alt</kbd> <kbd>Shift</kbd> <kbd>A</kbd>
Create New Todo            | <kbd>Alt</kbd> <kbd>Shift</kbd> <kbd>C</kbd>
Search Todos               | <kbd>Alt</kbd> <kbd>Shift</kbd> <kbd>F</kbd>

<br/>

</details>

## Development

For more info on how to contribute to the project, please read the [contributing guidelines](https://github.com/klauscfhq/ao/blob/master/contributing.md).

- Fork the repository and clone it to your machine
- Navigate to your local fork `cd ao`
- Install the project dependencies `npm install` or `yarn install`
- Run Ao on dev mode `npm start` or `yarn start`
- Lint code for errors `npm test` or `yarn test`
- Build binaries and installers `npm run dist` or `yarn dist`

## Related Apps

- [Tusk](https://github.com/champloohq/tusk) - Refined Evernote desktop app.

## Team

Coded with ❤ by

- Klaus Sinani [(@klauscfhq)](https://github.com/klauscfhq)
- Mario Sinani [(@mariocfhq)](https://github.com/mariocfhq)
- Thanasis Gkanos [(@ThanasisGkanos)](https://github.com/ThanasisGkanos)

## Disclaimer

Ao is an unofficial, open source, third-party, community-driven, free app and is not affiliated in any way with Microsoft.

## License

[MIT](https://github.com/klauscfhq/ao/blob/master/license.md)
